## javax.jbi.messaging
Class ExchangeStatus

    java.lang.Object
      javax.jbi.messaging.ExchangeStatus

    public final class ExchangeStatus

extends java.lang.Object

Typesafe enumeration containing status values for a message exchange.

Author:
  JSR208 Expert Group

Field Summary
`static ExchangeStatus` `ACTIVE` Indicates that an ME has not been processed to completion.
`static ExchangeStatus` `DONE` Indicates that an ME has been processed to completion.
`static ExchangeStatus` `ERROR` Indicates that an ME has terminated abnormally within the JBI environment.
`private java.lang.String` `mStatus` String representation of status.

Constructor Summary
`private` `ExchangeStatus(java.lang.String status)` Private constructor used to create a new ExchangeStatus type.

Method Summary
`int` `hashCode()` Returns hash code value for this object.
`java.lang.String` `toString()` Returns string value of enumerated type.
`static ExchangeStatus` `valueOf(java.lang.String status)` Returns instance of ExchangeStatus that corresponds to given string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVE

    public static final ExchangeStatus ACTIVE

  Indicates that an ME has not been processed to completion.

### ERROR

    public static final ExchangeStatus ERROR

  Indicates that an ME has terminated abnormally within the JBI environment.

### DONE

    public static final ExchangeStatus DONE

  Indicates that an ME has been processed to completion.

### mStatus

    private java.lang.String mStatus

  String representation of status.

Constructor Detail

### ExchangeStatus

    private ExchangeStatus(java.lang.String status)

  Private constructor used to create a new ExchangeStatus type.

  Parameters:
    `status` - value

Method Detail

### toString

    public java.lang.String toString()

  Returns string value of enumerated type.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of status value.

### valueOf

    public static ExchangeStatus valueOf(java.lang.String status)

  Returns instance of ExchangeStatus that corresponds to given string.

  Parameters:
    `status` - string value of status
  Returns:
    ExchangeStatus
  Throws:
    `java.lang.IllegalArgumentException` - if string can't be translated

### hashCode

    public int hashCode()

  Returns hash code value for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code value

${build-info}

${copyright}